libebook Namespace Reference documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Namespaces | Classes | Typedefs | Enumerations | Functions | Variables
libebook Namespace Reference

## Namespaces
| EBOOKHTMLToken
| EBOOKOPFToken
| EPUBToken
| FB2Token
| RBToken

## Classes
class | CHMParser
class | CHMStream
struct | ContentMapImpl
class | EBOOKBitStream
class | EBOOKCharsetConverter
struct | EBOOKDummyDeleter
struct | EBOOKHTMLMetadata
class | EBOOKHTMLParser
class | EBOOKMemoryStream
class | EBOOKOPFParser
class | EBOOKOutputElement
class | EBOOKOutputElements
class | EBOOKStreamView
| A stream representing a view into an another stream. More...
class | EBOOKSubDocument
struct | EBOOKToken
struct | EBOOKToken< EBOOKHTMLParser >
struct | EBOOKToken< EBOOKOPFParser >
struct | EBOOKToken< EPUBParser >
struct | EBOOKToken< FB2Parser >
struct | EBOOKToken< RBParser >
class | EBOOKUTF8Stream
class | EBOOKXMLParser
| Base class for simple SAX-like XML parser. More...
class | EBOOKZlibStream
class | EndOfStreamException
class | EPUBParser
class | FB2AContext
class | FB2AnnotationContext
class | FB2AuthorContext
class | FB2Authors
class | FB2BinaryContext
struct | FB2BlockFormat
class | FB2BlockFormatContextBase
class | FB2BodyContext
class | FB2BookNameContext
class | FB2BookTitleContext
class | FB2CellContext
class | FB2CiteContext
class | FB2CityContext
class | FB2CodeContext
class | FB2Collector
class | FB2Content
| Represents a part of FB2 content. More...
class | FB2ContentCollector
class | FB2ContentMap
class | FB2CoverpageContext
class | FB2CustomInfoContext
class | FB2DataContextBase
| Base class for leaf data element contexts. More...
class | FB2DateContext
class | FB2DescriptionContext
class | FB2EmailContext
class | FB2EmphasisContext
class | FB2EmptyLineContext
class | FB2EpigraphContext
class | FB2ExtrasCollector
class | FB2FirstNameContext
class | FB2GenreContext
class | FB2HistoryContext
class | FB2HomePageContext
class | FB2IdContext
class | FB2ImageContext
class | FB2InlineImageContext
class | FB2IsbnContext
class | FB2KeywordsContext
class | FB2LangContext
class | FB2LastNameContext
class | FB2MetadataCollector
class | FB2MiddleNameContext
class | FB2NicknameContext
class | FB2NodeContextBase
| Base class for non-leaf element contexts. More...
class | FB2OutputContext
class | FB2OutputDocumentClassContext
class | FB2ParaContextBase
class | FB2Parser
class | FB2ParserContext
| Base class for all contexts. More...
class | FB2PartContext
class | FB2PContext
class | FB2PoemContext
class | FB2ProgramUsedContext
class | FB2PublisherContext
class | FB2PublishInfoContext
class | FB2SectionContext
class | FB2SequenceContext
class | FB2SkipElementContext
| Context for skipping element hierarchies. More...
class | FB2SrcLangContext
class | FB2SrcOcrContext
class | FB2SrcTitleInfoContext
class | FB2SrcUrlContext
class | FB2StanzaContext
class | FB2StrikethroughContext
class | FB2StrongContext
class | FB2Style
class | FB2StyleContext
class | FB2StyleContextBase
class | FB2SubContext
class | FB2SubtitleContext
class | FB2SupContext
class | FB2TableContext
class | FB2TableModel
class | FB2TextAuthorContext
class | FB2TextContextBase
| Base class for leaf textual element contexts. More...
struct | FB2TextFormat
class | FB2TitleContext
class | FB2TitleInfoContext
struct | FB2TokenData
class | FB2TranslatorContext
class | FB2TrContext
class | FB2VContext
class | FB2VersionContext
class | FB2XMLParserContext
class | FB2YearContext
class | FileAccessError
class | GenericException
class | GroupContent
class | HTMLParser
class | IMPCollector
class | IMPHeader
class | IMPLZSSStream
struct | IMPMetadata
class | IMPParser
class | IMPResourceDir
| Read the resource tree and provide access to it as an OLE stream. More...
class | IMPResourceDirImpl
class | IMPText
class | LITParser
class | LITStream
struct | LRFAttributes
struct | LRFBookInfo
class | LRFCollector
struct | LRFColor
struct | LRFDocInfo
struct | LRFEmptyLine
struct | LRFHeader
struct | LRFMetadata
class | LRFMetadataParser
class | LRFParser
class | MOBIParser
class | OEBParser
class | PackageError
class | ParseError
class | PasswordMismatch
class | PDBParser
class | PDXLZ77Stream
class | PDXParser
struct | PDXParserImpl
struct | PLKRHeader
class | PLKRParser
struct | PLKRParserState
struct | PLKRRecordHeader
struct | PMLAttributes
struct | PMLHeader
class | PMLParser
struct | PMLTextParserState
class | QIOOParser
class | RBHeader
class | RBParser
class | RBStream
class | TCRParser
class | TDParser
class | TDTextParser
class | TextInfoContext
class | UnsupportedEncryption
class | UnsupportedFormat
class | XMLCollector
class | XMLStylesheet
struct | XMLTreeNode
class | XMLTreeWalker
class | ZTXTParser
class | ZVRParser

## Typedefs
typedef std::map< string, const FB2Content * >::value_type | Value_t
typedef std::map< string, const FB2Content * >::const_iterator | Iterator_t
typedef boost::shared_ptr< hubbub_parser > | HUBBUBParserPtr_t
typedef boost::shared_ptr< css_stylesheet > | CSSStylesheetPtr_t
typedef boost::shared_ptr< css_select_ctx > | CSSSelectCtxPtr_t
typedef boost::shared_ptr< css_select_results > | CSSSelectResultsPtr_t
typedef boost::intrusive_ptr< lwc_string > | LWCStringPtr_t
typedef boost::shared_ptr< librevenge::RVNGInputStream > | RVNGInputStreamPtr_t
typedef std::map< unsigned, LRFAttributes > | LRFAttributeMap_t
typedef std::map< unsigned, std::vector< unsigned char > > | PLKRImageMap_t
typedef std::deque< XMLStylesheet > | XMLStylesheets_t
typedef boost::intrusive_ptr< XMLTreeNode > | XMLTreeNodePtr_t

## Enumerations
enum | IMPColorMode { IMP_COLOR_MODE_UNKNOWN, IMP_COLOR_MODE_COLOR, IMP_COLOR_MODE_GRAYSCALE }
enum | LRFImageType { LRF_IMAGE_TYPE_UNKNOWN = 0, LRF_IMAGE_TYPE_JPEG = 0x11, LRF_IMAGE_TYPE_PNG = 0x12, LRF_IMAGE_TYPE_BMP = 0x13, LRF_IMAGE_TYPE_GIF = 0x14 }
enum | LRFEmptyLinePosition { LRF_EMPTY_LINE_POSITION_UNKNOWN, LRF_EMPTY_LINE_POSITION_BEFORE, LRF_EMPTY_LINE_POSITION_AFTER }
enum | LRFEmptyLineMode { LRF_EMPTY_LINE_MODE_NONE, LRF_EMPTY_LINE_MODE_SOLID, LRF_EMPTY_LINE_MODE_DASHED, LRF_EMPTY_LINE_MODE_DOUBLE, LRF_EMPTY_LINE_MODE_DOTTED }
enum | LRFAlign { LRF_ALIGN_START, LRF_ALIGN_END, LRF_ALIGN_CENTER }
enum | PMLFontType { PML_FONT_TYPE_NORMAL, PML_FONT_TYPE_STD, PML_FONT_TYPE_BOLD, PML_FONT_TYPE_LARGE }

## Functions
int | getHTMLTokenId (const char *const name, const char *const ns)
int | getHTMLTokenId (const char *const name, const std::size_t nameLen, const char *const ns, const std::size_t nsLen)
int | getHTMLTokenId (const char *const name, const std::size_t nameLen)
int | getOPFTokenId (const char *const name, const char *const ns)
int | getOPFTokenId (const char *const name, const std::size_t nameLen, const char *const ns, const std::size_t nsLen)
int | getOPFTokenId (const char *const name, const std::size_t nameLen)
int | getEPUBTokenId (const char *const name, const char *const ns)
int | getEPUBTokenId (const char *const name, const std::size_t nameLen, const char *const ns, const std::size_t nsLen)
int | getEPUBTokenId (const char *const name, const std::size_t nameLen)
librevenge::RVNGPropertyList | makePropertyList (const FB2Style &style)
librevenge::RVNGPropertyList | makePropertyList (const FB2TextFormat &format, const FB2BlockFormat &blockFormat)
librevenge::RVNGPropertyList | makePropertyList (const FB2BlockFormat &format)
const FB2TokenData * | getFB2Token (const char *const str, const unsigned length)
const FB2TokenData * | getFB2Token (const char *const str)
const FB2TokenData * | getFB2Token (const unsigned char *const str)
int | getFB2TokenID (const FB2TokenData &token)
int | getFB2TokenID (const FB2TokenData *const token)
int | getFB2TokenID (const char *str, const unsigned length)
int | getFB2TokenID (const char *str)
int | getFB2TokenID (const unsigned char *str)
const char * | getFB2TokenName (const FB2TokenData &token)
const char * | getFB2TokenName (const FB2TokenData *const token)
const char * | getFB2TokenName (const char *str, const unsigned length)
const char * | getFB2TokenName (const char *str)
const char * | getFB2TokenName (const unsigned char *str)
HUBBUBParserPtr_t | wrap (hubbub_parser *const p)
CSSStylesheetPtr_t | wrap (css_stylesheet *const p)
CSSSelectCtxPtr_t | wrap (css_select_ctx *const p)
CSSSelectResultsPtr_t | wrap (css_select_results *const p)
LWCStringPtr_t | wrap (lwc_string *const p)
void | debugPrint (const char *format,...)
uint8_t | readU8 (librevenge::RVNGInputStream *input, bool)
uint16_t | readU16 (librevenge::RVNGInputStream *input, bool bigEndian)
uint32_t | readU32 (librevenge::RVNGInputStream *input, bool bigEndian)
uint64_t | readU64 (librevenge::RVNGInputStream *input, bool bigEndian)
const unsigned char * | readNBytes (librevenge::RVNGInputStream *const input, const unsigned long numBytes)
string | readCString (librevenge::RVNGInputStream *input)
string | readPascalString (librevenge::RVNGInputStream *input)
void | skip (librevenge::RVNGInputStream *input, unsigned long numBytes)
void | seek (librevenge::RVNGInputStream *const input, const unsigned long pos)
void | seekRelative (librevenge::RVNGInputStream *const input, const long pos)
unsigned long | getRemainingLength (librevenge::RVNGInputStream *const input)
uint8_t | readU8 (const boost::shared_ptr< librevenge::RVNGInputStream > input, bool)
uint16_t | readU16 (const boost::shared_ptr< librevenge::RVNGInputStream > input, const bool bigEndian)
uint32_t | readU32 (const boost::shared_ptr< librevenge::RVNGInputStream > input, const bool bigEndian)
uint64_t | readU64 (const boost::shared_ptr< librevenge::RVNGInputStream > input, const bool bigEndian)
const unsigned char * | readNBytes (const boost::shared_ptr< librevenge::RVNGInputStream > input, const unsigned long numBytes)
std::string | readCString (const boost::shared_ptr< librevenge::RVNGInputStream > input)
std::string | readPascalString (const boost::shared_ptr< librevenge::RVNGInputStream > input)
void | skip (const boost::shared_ptr< librevenge::RVNGInputStream > input, const unsigned long numBytes)
void | seek (const boost::shared_ptr< librevenge::RVNGInputStream > input, const unsigned long pos)
void | seekRelative (const boost::shared_ptr< librevenge::RVNGInputStream > input, const long pos)
unsigned long | getRemainingLength (const boost::shared_ptr< librevenge::RVNGInputStream > input)
bool | findSubStreamByExt (const RVNGInputStreamPtr_t &input, const std::string &ext, unsigned &id)
const char * | char_cast (const char *const c)
const char * | char_cast (const signed char *const c)
const char * | char_cast (const unsigned char *const c)
const char ** | char_array_cast (const char **const c)
const char ** | char_array_cast (const signed char **const c)
const char ** | char_array_cast (const unsigned char **const c)
int | getRBTokenId (const char *const name, const char *const ns)
int | getRBTokenId (const char *const name, const std::size_t nameLen, const char *const ns, const std::size_t nsLen)
int | getRBTokenId (const char *const name, const std::size_t nameLen)
bool | operator== (const XMLTreeNode::QName &lhs, const XMLTreeNode::QName &rhs)
bool | operator!= (const XMLTreeNode::QName &lhs, const XMLTreeNode::QName &rhs)
bool | caselessEqual (const XMLTreeNode::QName &lhs, const XMLTreeNode::QName &rhs)
bool | operator== (const XMLTreeNode::AttributeData &lhs, const XMLTreeNode::AttributeData &rhs)
bool | operator!= (const XMLTreeNode::AttributeData &lhs, const XMLTreeNode::AttributeData &rhs)
bool | operator== (const XMLTreeNode::ElementData &lhs, const XMLTreeNode::ElementData &rhs)
bool | operator!= (const XMLTreeNode::ElementData &lhs, const XMLTreeNode::ElementData &rhs)
void | intrusive_ptr_add_ref (XMLTreeNode *const p)
void | intrusive_ptr_release (XMLTreeNode *const p)
bool | operator!= (const XMLTreeWalker::Attribute &lhs, const XMLTreeWalker::Attribute &rhs)
bool | operator!= (const XMLTreeWalker::AttributeIterator &lhs, const XMLTreeWalker::AttributeIterator &rhs)
bool | operator!= (const XMLTreeWalker::Iterator &lhs, const XMLTreeWalker::Iterator &rhs)

## Variables
static const unsigned | PDB_TYPE = PDX_CODE("TEXt")
static const unsigned | PDB_CREATOR = PDX_CODE("REAd")
static const uint32_t | ZTXT_TYPE = PDX_CODE("zTXT")
static const uint32_t | ZTXT_CREATOR = PDX_CODE("GPlm")

## Typedef Documentation

typedef boost::shared_ptr<css_select_ctx> libebook::CSSSelectCtxPtr_t

typedef boost::shared_ptr<css_select_results> libebook::CSSSelectResultsPtr_t

typedef boost::shared_ptr<css_stylesheet> libebook::CSSStylesheetPtr_t

typedef boost::shared_ptr<hubbub_parser> libebook::HUBBUBParserPtr_t

typedef std::map<string, const FB2Content *>::const_iterator libebook::Iterator_t

typedef std::map<unsigned, LRFAttributes> libebook::LRFAttributeMap_t

typedef boost::intrusive_ptr<lwc_string> libebook::LWCStringPtr_t

typedef std::map<unsigned, std::vector<unsigned char> > libebook::PLKRImageMap_t

typedef boost::shared_ptr<librevenge::RVNGInputStream> libebook::RVNGInputStreamPtr_t

typedef std::map<string, const FB2Content *>::value_type libebook::Value_t

typedef std::deque<XMLStylesheet> libebook::XMLStylesheets_t

typedef boost::intrusive_ptr<XMLTreeNode> libebook::XMLTreeNodePtr_t

## Enumeration Type Documentation

enum libebook::IMPColorMode

Enumerator
IMP_COLOR_MODE_UNKNOWN |
IMP_COLOR_MODE_COLOR |
IMP_COLOR_MODE_GRAYSCALE |

enum libebook::LRFAlign

Enumerator
LRF_ALIGN_START |
LRF_ALIGN_END |
LRF_ALIGN_CENTER |

enum libebook::LRFEmptyLineMode

Enumerator
LRF_EMPTY_LINE_MODE_NONE |
LRF_EMPTY_LINE_MODE_SOLID |
LRF_EMPTY_LINE_MODE_DASHED |
LRF_EMPTY_LINE_MODE_DOUBLE |
LRF_EMPTY_LINE_MODE_DOTTED |

enum libebook::LRFEmptyLinePosition

Enumerator
LRF_EMPTY_LINE_POSITION_UNKNOWN |
LRF_EMPTY_LINE_POSITION_BEFORE |
LRF_EMPTY_LINE_POSITION_AFTER |

enum libebook::LRFImageType

Enumerator
LRF_IMAGE_TYPE_UNKNOWN |
LRF_IMAGE_TYPE_JPEG |
LRF_IMAGE_TYPE_PNG |
LRF_IMAGE_TYPE_BMP |
LRF_IMAGE_TYPE_GIF |

enum libebook::PMLFontType

Enumerator
PML_FONT_TYPE_NORMAL |
PML_FONT_TYPE_STD |
PML_FONT_TYPE_BOLD |
PML_FONT_TYPE_LARGE |

## Function Documentation

bool libebook::caselessEqual | ( | const XMLTreeNode::QName & | lhs,
|  | const XMLTreeNode::QName & | rhs
| ) |  |

const char ** libebook::char_array_cast | ( | const char **const | c | ) |

const char ** libebook::char_array_cast | ( | const signed char **const | c | ) |

const char ** libebook::char_array_cast | ( | const unsigned char **const | c | ) |

const char * libebook::char_cast | ( | const char *const | c | ) |

Referenced by libebook::RBHeader::readDirectory(), and libebook::XMLStylesheet::XMLStylesheet().

const char * libebook::char_cast | ( | const signed char *const | c | ) |

const char * libebook::char_cast | ( | const unsigned char *const | c | ) |

void libebook::debugPrint | ( | const char * | format,
|  |  | ...
| ) |  |

bool libebook::findSubStreamByExt | ( | const RVNGInputStreamPtr_t & | input,
|  | const std::string & | ext,
|  | unsigned & | id
| ) |  |

Referenced by libebook::EBOOKOPFParser::findOPFStream().

int libebook::getEPUBTokenId | ( | const char *const | name,
|  | const char *const | ns
| ) |  |

Referenced by getEPUBTokenId().

int libebook::getEPUBTokenId | ( | const char *const | name,
|  | const std::size_t | nameLen,
|  | const char *const | ns,
|  | const std::size_t | nsLen
| ) |  |

int libebook::getEPUBTokenId | ( | const char *const | name,
|  | const std::size_t | nameLen
| ) |  |

const FB2TokenData * libebook::getFB2Token | ( | const char *const | str,
|  | const unsigned | length
| ) |  |

Referenced by getFB2Token(), getFB2TokenID(), and getFB2TokenName().

const FB2TokenData * libebook::getFB2Token | ( | const char *const | str | ) |

const FB2TokenData * libebook::getFB2Token | ( | const unsigned char *const | str | ) |

int libebook::getFB2TokenID | ( | const FB2TokenData & | token | ) |

Referenced by libebook::FB2BinaryContext::attribute(), libebook::FB2ParaContextBase::attribute(), libebook::FB2AnnotationContext::attribute(), libebook::FB2BodyContext::attribute(), libebook::FB2TableContext::attribute(), libebook::FB2AContext::attribute(), libebook::FB2CiteContext::attribute(), libebook::FB2CellContext::attribute(), libebook::FB2BookNameContext::attribute(), libebook::FB2EpigraphContext::attribute(), libebook::FB2InlineImageContext::attribute(), libebook::FB2TrContext::attribute(), libebook::FB2ImageContext::attribute(), libebook::FB2CityContext::attribute(), libebook::FB2PoemContext::attribute(), libebook::FB2CoverpageContext::attribute(), libebook::FB2SectionContext::attribute(), libebook::FB2CustomInfoContext::attribute(), libebook::FB2StanzaContext::attribute(), libebook::FB2TitleContext::attribute(), libebook::FB2DateContext::attribute(), libebook::FB2StyleContextBase::attribute(), libebook::FB2EmailContext::attribute(), libebook::FB2GenreContext::attribute(), libebook::FB2HistoryContext::attribute(), libebook::FB2HomePageContext::attribute(), libebook::FB2IdContext::attribute(), libebook::FB2IsbnContext::attribute(), libebook::FB2OutputContext::attribute(), libebook::FB2OutputDocumentClassContext::attribute(), libebook::FB2PartContext::attribute(), libebook::FB2ProgramUsedContext::attribute(), libebook::FB2SequenceContext::attribute(), libebook::FB2SrcLangContext::attribute(), libebook::FB2SrcOcrContext::attribute(), libebook::FB2SrcTitleInfoContext::attribute(), libebook::FB2TranslatorContext::attribute(), libebook::FB2YearContext::attribute(), libebook::FB2AnnotationContext::element(), libebook::FB2BodyContext::element(), libebook::FB2TableContext::element(), libebook::FB2AuthorContext::element(), libebook::FB2CiteContext::element(), libebook::FB2BookNameContext::element(), libebook::FB2EpigraphContext::element(), libebook::FB2ImageContext::element(), libebook::FB2TrContext::element(), libebook::FB2CityContext::element(), libebook::FB2PoemContext::element(), libebook::FB2CoverpageContext::element(), libebook::FB2SectionContext::element(), libebook::FB2StanzaContext::element(), libebook::FB2TitleContext::element(), libebook::FB2StyleContextBase::element(), libebook::FB2DescriptionContext::element(), libebook::TextInfoContext::element(), libebook::FB2EmailContext::element(), libebook::FB2GenreContext::element(), libebook::FB2HistoryContext::element(), libebook::FB2HomePageContext::element(), libebook::FB2IdContext::element(), libebook::FB2IsbnContext::element(), libebook::FB2OutputContext::element(), libebook::FB2OutputDocumentClassContext::element(), libebook::FB2PartContext::element(), libebook::FB2ProgramUsedContext::element(), libebook::FB2PublishInfoContext::element(), libebook::FB2SequenceContext::element(), libebook::FB2SrcLangContext::element(), libebook::FB2SrcOcrContext::element(), libebook::FB2SrcTitleInfoContext::element(), libebook::FB2TitleInfoContext::element(), libebook::FB2TranslatorContext::element(), libebook::FB2YearContext::element(), and getFB2TokenID().

int libebook::getFB2TokenID | ( | const FB2TokenData *const | token | ) |

int libebook::getFB2TokenID | ( | const char * | str,
|  | const unsigned | length
| ) |  |

int libebook::getFB2TokenID | ( | const char * | str | ) |

int libebook::getFB2TokenID | ( | const unsigned char * | str | ) |

const char * libebook::getFB2TokenName | ( | const FB2TokenData & | token | ) |

Referenced by getFB2TokenName().

const char * libebook::getFB2TokenName | ( | const FB2TokenData *const | token | ) |

const char * libebook::getFB2TokenName | ( | const char * | str,
|  | const unsigned | length
| ) |  |

const char * libebook::getFB2TokenName | ( | const char * | str | ) |

const char * libebook::getFB2TokenName | ( | const unsigned char * | str | ) |

int libebook::getHTMLTokenId | ( | const char *const | name,
|  | const char *const | ns
| ) |  |

Referenced by getHTMLTokenId(), and libebook::EBOOKHTMLParser::parse().

int libebook::getHTMLTokenId | ( | const char *const | name,
|  | const std::size_t | nameLen,
|  | const char *const | ns,
|  | const std::size_t | nsLen
| ) |  |

int libebook::getHTMLTokenId | ( | const char *const | name,
|  | const std::size_t | nameLen
| ) |  |

int libebook::getOPFTokenId | ( | const char *const | name,
|  | const char *const | ns
| ) |  |

Referenced by getOPFTokenId().

int libebook::getOPFTokenId | ( | const char *const | name,
|  | const std::size_t | nameLen,
|  | const char *const | ns,
|  | const std::size_t | nsLen
| ) |  |

int libebook::getOPFTokenId | ( | const char *const | name,
|  | const std::size_t | nameLen
| ) |  |

int libebook::getRBTokenId | ( | const char *const | name,
|  | const char *const | ns
| ) |  |

Referenced by getRBTokenId().

int libebook::getRBTokenId | ( | const char *const | name,
|  | const std::size_t | nameLen,
|  | const char *const | ns,
|  | const std::size_t | nsLen
| ) |  |

int libebook::getRBTokenId | ( | const char *const | name,
|  | const std::size_t | nameLen
| ) |  |

unsigned long libebook::getRemainingLength | ( | librevenge::RVNGInputStream *const | input | ) |

Referenced by libebook::IMPParser::createTextStream(), getRemainingLength(), libebook::EBOOKOPFParser::parse(), libebook::RBHeader::readHeader(), libebook::EBOOKHTMLParser::readTreeImpl(), and libebook::XMLStylesheet::XMLStylesheet().

unsigned long libebook::getRemainingLength | ( | const boost::shared_ptr< librevenge::RVNGInputStream > | input | ) |

void libebook::intrusive_ptr_add_ref | ( | XMLTreeNode *const | p | ) |

void libebook::intrusive_ptr_release | ( | XMLTreeNode *const | p | ) |

librevenge::RVNGPropertyList libebook::makePropertyList | ( | const FB2Style & | style | ) |

Referenced by libebook::FB2ContentCollector::openParagraph(), libebook::FB2ContentCollector::openSpan(), and libebook::FB2ContentCollector::openTable().

librevenge::RVNGPropertyList libebook::makePropertyList | ( | const FB2TextFormat & | format,
|  | const FB2BlockFormat & | blockFormat
| ) |  |

librevenge::RVNGPropertyList libebook::makePropertyList | ( | const FB2BlockFormat & | format | ) |

bool libebook::operator!= | ( | const XMLTreeNode::QName & | lhs,
|  | const XMLTreeNode::QName & | rhs
| ) |  |

bool libebook::operator!= | ( | const XMLTreeNode::AttributeData & | lhs,
|  | const XMLTreeNode::AttributeData & | rhs
| ) |  |

bool libebook::operator!= | ( | const XMLTreeNode::ElementData & | lhs,
|  | const XMLTreeNode::ElementData & | rhs
| ) |  |

bool libebook::operator!= | ( | const XMLTreeWalker::Attribute & | lhs,
|  | const XMLTreeWalker::Attribute & | rhs
| ) |  |

bool libebook::operator!= | ( | const XMLTreeWalker::AttributeIterator & | lhs,
|  | const XMLTreeWalker::AttributeIterator & | rhs
| ) |  |

bool libebook::operator!= | ( | const XMLTreeWalker::Iterator & | lhs,
|  | const XMLTreeWalker::Iterator & | rhs
| ) |  |

bool libebook::operator== | ( | const XMLTreeNode::QName & | lhs,
|  | const XMLTreeNode::QName & | rhs
| ) |  |

bool libebook::operator== | ( | const XMLTreeNode::AttributeData & | lhs,
|  | const XMLTreeNode::AttributeData & | rhs
| ) |  |

bool libebook::operator== | ( | const XMLTreeNode::ElementData & | lhs,
|  | const XMLTreeNode::ElementData & | rhs
| ) |  |

std::string libebook::readCString | ( | librevenge::RVNGInputStream * | input | ) |

Referenced by libebook::IMPHeader::readBookProperties(), and readCString().

std::string libebook::readCString | ( | const boost::shared_ptr< librevenge::RVNGInputStream > | input | ) |

const unsigned char * libebook::readNBytes | ( | librevenge::RVNGInputStream *const | input,
|  | const unsigned long | numBytes
| ) |  |

Referenced by libebook::IMPResourceDirImpl::createStream(), libebook::EBOOKUTF8Stream::EBOOKUTF8Stream(), libebook::IMPResourceDirImpl::getDirStream(), libebook::PLKRParser::getUncompressedStream(), libebook::LRFCollector::insertImage(), libebook::EBOOKOPFParser::parse(), libebook::LRFParser::readBlockObject(), libebook::RBHeader::readDirectory(), libebook::IMPHeader::readHeader(), libebook::PMLParser::readImage(), libebook::LRFParser::readImageStreamObject(), libebook::LRFParser::readMetadata(), readNBytes(), libebook::LRFParser::readObject(), libebook::LRFParser::readPageObject(), libebook::TCRParser::readReplacementTable(), libebook::LRFParser::readTextObject(), libebook::LRFParser::readTOCObject(), libebook::EBOOKHTMLParser::readTreeImpl(), libebook::TCRParser::TCRParser(), libebook::XMLStylesheet::XMLStylesheet(), and libebook::ZVRParser::ZVRParser().

const unsigned char * libebook::readNBytes | ( | const boost::shared_ptr< librevenge::RVNGInputStream > | input,
|  | const unsigned long | numBytes
| ) |  |

std::string libebook::readPascalString | ( | librevenge::RVNGInputStream * | input | ) |

Referenced by readPascalString().

std::string libebook::readPascalString | ( | const boost::shared_ptr< librevenge::RVNGInputStream > | input | ) |

uint16_t libebook::readU16 | ( | librevenge::RVNGInputStream * | input,
|  | bool | bigEndian
| ) |  |

Referenced by libebook::IMPParser::createTextStream(), libebook::IMPResourceDirImpl::findResourceByType(), libebook::PLKRParser::readAppInfoRecord(), libebook::LRFParser::readAttribute(), libebook::LRFParser::readBlockAtrObject(), libebook::LRFParser::readBlockObject(), libebook::LRFParser::readBookAtrObject(), libebook::PLKRParser::readDataRecords(), libebook::IMPHeader::readHeader(), libebook::RBHeader::readHeader(), libebook::LRFParser::readHeader(), libebook::PDXParser::readHeader(), libebook::LRFParser::readImageObject(), libebook::LRFParser::readImageStreamObject(), libebook::ZTXTParser::readIndexRecord(), libebook::PDBParser::readIndexRecord(), libebook::TDParser::readIndexRecord(), libebook::PMLParser::readIndexRecord(), libebook::PLKRParser::readIndexRecord(), libebook::PLKRParser::readMetadata(), libebook::LRFParser::readObject(), libebook::LRFParser::readPageAtrObject(), libebook::LRFParser::readPageObject(), libebook::LRFParser::readPageTreeObject(), libebook::LRFParser::readParagraphAtrObject(), libebook::LRFParser::readTextAtrObject(), libebook::LRFParser::readTextObject(), libebook::LRFParser::readTOCObject(), readU16(), and libebook::LRFParser::skipUnhandledTag().

uint16_t libebook::readU16 | ( | const boost::shared_ptr< librevenge::RVNGInputStream > | input,
|  | const bool | bigEndian
| ) |  |

uint32_t libebook::readU32 | ( | librevenge::RVNGInputStream * | input,
|  | bool | bigEndian
| ) |  |

Referenced by libebook::IMPParser::createTextStream(), libebook::IMPResourceDirImpl::IMPResourceDirImpl(), libebook::PLKRParser::readAppInfoRecord(), libebook::LRFParser::readAttribute(), libebook::LRFParser::readBlockObject(), libebook::LRFParser::readBookAtrObject(), libebook::RBHeader::readDirectory(), libebook::IMPHeader::readHeader(), libebook::RBHeader::readHeader(), libebook::LRFParser::readHeader(), libebook::PDXParser::readHeader(), libebook::LRFParser::readImageObject(), libebook::ZTXTParser::readIndexRecord(), libebook::PDBParser::readIndexRecord(), libebook::TDParser::readIndexRecord(), libebook::LRFParser::readObject(), libebook::LRFParser::readObjectIndex(), libebook::LRFParser::readPageObject(), libebook::LRFParser::readPageTreeObject(), libebook::LRFParser::readTextObject(), libebook::LRFParser::readTOCObject(), libebook::LRFParser::readToCStream(), and readU32().

uint32_t libebook::readU32 | ( | const boost::shared_ptr< librevenge::RVNGInputStream > | input,
|  | const bool | bigEndian
| ) |  |

uint64_t libebook::readU64 | ( | librevenge::RVNGInputStream * | input,
|  | bool | bigEndian
| ) |  |

Referenced by libebook::LRFParser::readHeader(), and readU64().

uint64_t libebook::readU64 | ( | const boost::shared_ptr< librevenge::RVNGInputStream > | input,
|  | const bool | bigEndian
| ) |  |

uint8_t libebook::readU8 | ( | librevenge::RVNGInputStream * | input,
|  | bool |
| ) |  |

Referenced by libebook::EBOOKBitStream::fill(), getRemainingLength(), libebook::IMPText::parse(), libebook::TDTextParser::parse(), libebook::TDTextParser::parseTag(), readCString(), libebook::ZTXTParser::readDataRecord(), libebook::PDBParser::readDataRecord(), libebook::TDParser::readDataRecord(), libebook::PLKRParser::readDataRecords(), libebook::PDXParser::readHeader(), libebook::PMLParser::readImage(), libebook::PLKRParser::readImage(), libebook::PMLParser::readImages(), readPascalString(), libebook::ZVRParser::readReplacementTable(), libebook::TCRParser::readReplacementTable(), readU8(), libebook::LRFParser::skipUnhandledTag(), libebook::ZVRParser::uncompress(), libebook::TCRParser::uncompress(), libebook::TCRParser::writeText(), and libebook::ZVRParser::writeText().

uint8_t libebook::readU8 | ( | const boost::shared_ptr< librevenge::RVNGInputStream > | input,
|  | bool |
| ) |  |

void libebook::seek | ( | librevenge::RVNGInputStream *const | input,
|  | const unsigned long | pos
| ) |  |

Referenced by libebook::IMPParser::createTextStream(), getRemainingLength(), libebook::RBHeader::readDirectory(), libebook::LRFParser::readToCStream(), and seek().

void libebook::seek | ( | const boost::shared_ptr< librevenge::RVNGInputStream > | input,
|  | const unsigned long | pos
| ) |  |

void libebook::seekRelative | ( | librevenge::RVNGInputStream *const | input,
|  | const long | pos
| ) |  |

Referenced by seekRelative(), and skip().

void libebook::seekRelative | ( | const boost::shared_ptr< librevenge::RVNGInputStream > | input,
|  | const long | pos
| ) |  |

void libebook::skip | ( | librevenge::RVNGInputStream * | input,
|  | unsigned long | numBytes
| ) |  |

Referenced by libebook::IMPParser::createTextStream(), libebook::IMPParser::getFileStream(), libebook::IMPResourceDirImpl::IMPResourceDirImpl(), libebook::PLKRParser::readDataRecords(), libebook::IMPHeader::readHeader(), libebook::RBHeader::readHeader(), libebook::LRFParser::readHeader(), libebook::PDXParser::readHeader(), libebook::PMLParser::readImage(), libebook::LRFParser::readImageObject(), libebook::TDParser::readIndexRecord(), libebook::PDBParser::readIndexRecord(), libebook::PMLParser::readIndexRecord(), libebook::LRFParser::readMetadata(), libebook::LRFParser::readObjectIndex(), libebook::LRFParser::readTextObject(), libebook::LRFParser::readTOCObject(), skip(), and libebook::LRFParser::skipUnhandledTag().

void libebook::skip | ( | const boost::shared_ptr< librevenge::RVNGInputStream > | input,
|  | const unsigned long | numBytes
| ) |  |

CSSStylesheetPtr_t libebook::wrap | ( | css_stylesheet *const | p | ) |

HUBBUBParserPtr_t libebook::wrap | ( | hubbub_parser *const | p | ) |

Referenced by libebook::XMLStylesheet::get(), and libebook::XMLTreeWalker::getStyle().

CSSSelectCtxPtr_t libebook::wrap | ( | css_select_ctx *const | p | ) |

CSSSelectResultsPtr_t libebook::wrap | ( | css_select_results *const | p | ) |

LWCStringPtr_t libebook::wrap | ( | lwc_string *const | p | ) |

## Variable Documentation

const unsigned libebook::PDB_CREATOR = PDX_CODE("REAd")
| static

const unsigned libebook::PDB_TYPE = PDX_CODE("TEXt")
| static

const uint32_t libebook::ZTXT_CREATOR = PDX_CODE("GPlm")
| static

const uint32_t libebook::ZTXT_TYPE = PDX_CODE("zTXT")
| static